OSASNMPD(8)

NAME
osasnmpd - IBM OSA-Express network card SNMP subagent.

SYNOPSIS
osasnmpd [-h] [-v] [-f] [-l logfile | -L] [-A] [-P pidfile] [-x agentx-socket]

DESCRIPTION
osasnmpd is an SNMP subagent for the net-snmp 5.1.x package. It supports the MIBs provided by an IBM OSA-Express network card. The subagent communicates via the AgentX protocol with the snmpd daemon. Hence the snmpd daemon must be already started on the same system before osasnmpd can start successfully.

OPTIONS

-h  Print usage message and exit.

-v  Print Version information and exit.

-f  Don't fork() from the calling shell.

-l logfile
    Logs all output from the subagent (including stdout/stderr) to logfile.
    (By default logfile=/var/log/osasnmpd.log)

-A  Append to the logfile rather than truncating it.

-L  Print warnings/messages to stdout/stderr.

-P pidfile
    Save the process ID of the subagent in pidfile.

-x agentx-socket
    Uses the specified socket as AgentX connection rather than the default '/var/agentx/master'. The socket can either be a Unix domain socket path, or the address of a network interface. If a network address of the form inet-addr:port is given, then the subagent will use the port specified. If a network address of the form inet-addr is given, then the subagent will use the default AgentX port, 705. The agentx sockets of the snmpd daemon and osasnmpd must match.

AUTHOR
This man-page was written by Thomas Weber <tweber@de.ibm.com>
and is maintained by Ursula Braun <ursula.braun@de.ibm.com>

SEE ALSO

snmpd(1), snmp.conf(5), snmpd.conf(5)